package com.myCompany.portlets;

import javax.portlet.*;
import java.io.IOException;

public class BookmarkPortlet extends GenericPortlet
{

    public void doView (RenderRequest request,
                        RenderResponse response) throws PortletException, IOException
    {
        response.setContentType("text/html");
        
        String jspName = getPortletConfig().getInitParameter("jspView");
        
        PortletRequestDispatcher rd = getPortletContext().getRequestDispatcher(jspName);

        rd.include(request,response);
    }

    public void doEdit (RenderRequest request,
                        RenderResponse response) throws PortletException, IOException
    {
        response.setContentType("text/html");
        
        String jspName = getPortletConfig().getInitParameter("jspEdit");
        
        PortletRequestDispatcher rd = getPortletContext().getRequestDispatcher(jspName);

        rd.include(request,response);
    }

}
